
Redmine - Defect #15453

Redmine-Java-API - POST/Put stopped working from android application

2013-11-22 14:48 - Deepak Sindhu

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.4.0

Description

Hi,

Since I upgraded to redmine 2.4, my android application has stopped working for POST/PUT request to redmine server. It used to

work before. I am not able to create/update issues or projects.

Do the Rest API needs an upgrade ?

Any help/suggestion will be highly appreciated.

please see the log:

Started PUT "/issues/3.json" for 172.16.20.115 at 2013-11-22 06:07:20 +0100

Processing by IssuesController#update as JSON

Parameters: {"issue"=>{"id"=>3, "subject"=>"test issue add and uodated from mobile", "priority_id"=>4, "done_ratio"=>0,

"author_id"=>3, "start_date"=>"2013/11/22 00:00:00 +0530", "tracker_id"=>17, "description"=>"", "created_on"=>"2013/11/22

10:30:43 +0530", "updated_on"=>"2013/11/22 10:30:43 +0530", "status_id"=>2, "notes"=>"", "custom_field_values"=>{"2"=>""}},

"id"=>"3"}

WARNING: Can't verify CSRF token authenticity

Current user: indesi (id=21)

Rendered common/error_messages.api.rsb (0.2ms)

Completed 422 Unprocessable Entity in 66ms (Views: 1.1ms | ActiveRecord: 2.8ms)

Related issues:

Is duplicate of Redmine - Defect #15427: REST API POST and PUT broken Closed

History

#1 - 2013-11-23 00:00 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

Problem already reported in #15427. The fixed version (2.4.1) will be available tomorrow.

#2 - 2013-11-23 00:00 - Jean-Philippe Lang

- Is duplicate of Defect #15427: REST API POST and PUT broken added
